1.0
1.0
get /v1/permission-sets/{permission_set_id}/policies
Description
get policies to a specific permission set
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | permission_set_id required | Permission Set ID Example : e8d4b9f2c1a7e5d3f0b6c9a2d8e4f7b1 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | instance_id required | Instance ID Example : ssoins-12345 | string | None |
| query | category optional | Policy Type Example : INLINE_POLICY | any of [enum (MANAGED_POLICY, CUSTOMER_POLICY, INLINE_POLICY), null] | None |
| query | name optional | None Example : Permission Set | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PermissionSetPoliciesPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/permission-sets/{permission_set_id}/policies?instance_id={instance_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"policies": [],
"size": 20,
"sort": [
"created_at:asc"
]
}